package com.github.wxiaoqi.security.common.util.process;


import com.github.wxiaoqi.security.common.util.SystemProperty;

public class SystemConfig {

	// 项目url
	public static final String XXMP_URL = SystemProperty.getConfig("XXMP_URL");
	// token到期时间
	public static Integer TOKENOVERTIME = Integer.valueOf(SystemProperty.getConfig("TOKEN_OVER_TIME"));
	// redis缓存时间
	public static Integer REDISTOKENTIME = Integer.valueOf(SystemProperty.getConfig("REDIS_TOKEN_TIME"));
	// redis缓存itoken时间
	public static Integer REDIS_ITOKEN_TIME = Integer.valueOf(SystemProperty.getConfig("REDIS_ITOKEN_TIME"));
	// session有效时间
	public static Integer SESSION_TIME = Integer.valueOf(SystemProperty.getConfig("SESSION_TIME"));
	// session有效时间
	public static String USER_HEADER_URL_DEFAULT = SystemProperty.getConfig("USER_HEADER_URL_DEFAULT");
	// session有效时间
	public static String USER_NIKENAME_DEFAULT = SystemProperty.getConfig("USER_NIKENAME_DEFAULT");
	// 短信机key
	public static String ACCESSKEYID = SystemProperty.getConfig("ACCESSKEYID");
	// 短信机accske
	public static String ACCESSKEYSECRET = SystemProperty.getConfig("ACCESSKEYSECRET");
	//短信机code
	public static String TEMPLATECODE = SystemProperty.getConfig("TEMPLATECODE");
	// 短信机name
	public static String SIGNNAME = SystemProperty.getConfig("SIGNNAME");
	// 根据key名获取value
	public static String getCongif(String key) {
		return SystemProperty.getConfig(key);
	}
	// 微信公众号的配置
	public static final String WINXIN_AppID = SystemProperty.getConfig("WINXIN_AppID");
	public static final String WINXIN_AppSecret = SystemProperty.getConfig("WINXIN_AppSecret");
	public static final String WINXIN_PARTNER_KEY = SystemProperty.getConfig("WINXIN_PARTNER_KEY");
	public static final String WINXIN_PARTNER = SystemProperty.getConfig("WINXIN_PARTNER");
	// 移动端app微信支付配置参数

	// 微信开发平台应用id(OK)
	public static String APP_ID = SystemProperty.getConfig("APP_ID");
	// 财付通商户号(OK)
	public static String APP_PARTNER = SystemProperty.getConfig("APP_PARTNER");
	// 商户号对应的密钥//(OK)
	public static String APP_PARTNER_KEY = SystemProperty.getConfig("APP_PARTNER_KEY");
	public static String APP_TRADE_TYPE = SystemProperty.getConfig("APP_TRADE_TYPE");
	/**
	 * (IOS)企业版配置
	 */
	public static String APP_ID_IOS = SystemProperty.getConfig("APP_ID_IOS");
	// 微信开发平台应用id(OK)
	public static String APP_PARTNER_IOS = SystemProperty.getConfig("APP_PARTNER_IOS");
	// 财付通商户号(OK)
	public static String APP_PARTNER_KEY_IOS = SystemProperty.getConfig("APP_PARTNER_KEY_IOS");
	// 商户号对应的密钥//(OK)
	public static String APP_TRADE_TYPE_IOS = SystemProperty.getConfig("APP_TRADE_TYPE");

	// 平台所有微信的回调地址的域名
	public static final String weixinHost = SystemProperty.getConfig("weixinHost");
	// 存放退款证书目录
	public static String APICLIENT_CERT = SystemProperty.getConfig("APICLIENT_CERT");



}
